Modbot Docs
APIAPI referenceDiscord

Get Discord member activity

GET/api/discord/members/{id}/metrics

Messages and voice minutes per day, and joins and leaves, for one Discord member.

Needs the ViewProfile permission.

AuthorizationBearer <token>

An API key, made on Settings, API keys. Every key starts with mbk_.

In: header

Path Parameters

id*string

Response Body

application/json

application/problem+json

application/problem+json

curl -X GET "https://example.com/api/discord/members/string/metrics"
{  "userId": "string",  "messagesPerDay": [    {      "day": "2019-08-24",      "value": 0.1    }  ],  "voiceMinutesPerDay": [    {      "day": "2019-08-24",      "value": 0.1    }  ],  "messagesAllTime": 0.1,  "voiceMinutesAllTime": 0.1,  "firstSeenAt": null,  "joinedAt": null,  "leftAt": null,  "history": [    {      "change": "string",      "at": "2019-08-24T14:15:22Z",      "before": null    }  ],  "now": "2019-08-24T14:15:22Z"}

Modbot is not endorsed by or affiliated with VRChat Inc. or Discord Inc. VRChat is a trademark of VRChat Inc. Discord is a trademark of Discord Inc. SteamVR is a trademark of Valve Corporation. Windows is a trademark of Microsoft Corporation. Docker is a trademark of Docker, Inc. PostgreSQL is a trademark of the PostgreSQL Community Association of Canada. Railway is a trademark of Railway Corp. Other names are trademarks of their respective owners; see Legal. Modbot and its logo are trademarks of the Modbot project. Open source under AGPL-3.0.